summaryrefslogtreecommitdiff
path: root/sysdeps/i386/elf
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2002-10-18 05:05:55 +0000
committerUlrich Drepper <drepper@redhat.com>2002-10-18 05:05:55 +0000
commit8dd8681f4a07d49d6bc01aff37b64003e1b7df0d (patch)
tree4cb0c75c591eb5a1caf493bd8f07c9846a41646e /sysdeps/i386/elf
parent126960c5c2292074062585bace76b9d4fbca959d (diff)
Update.
* sysdeps/powerpc/soft-fp/soft-supp.h: New file.
Diffstat (limited to 'sysdeps/i386/elf')
-rwxr-xr-xsysdeps/i386/elf/configure30
1 files changed, 19 insertions, 11 deletions
diff --git a/sysdeps/i386/elf/configure b/sysdeps/i386/elf/configure
index 03f16fc798..a7ff07bfac 100755
--- a/sysdeps/i386/elf/configure
+++ b/sysdeps/i386/elf/configure
@@ -1,12 +1,15 @@
+#! /bin/sh
+# This file is generated from configure.in by Autoconf. DO NOT EDIT!
+
# Local configure fragment for sysdeps/i386/elf.
if test "$usetls" != no; then
# Check for support of thread-local storage handling in assembler and
# linker.
-echo $ac_n "checking for i386 TLS support""... $ac_c" 1>&6
-echo "configure:8: checking for i386 TLS support" >&5
-if eval "test \"`echo '$''{'libc_cv_386_tls'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: checking for i386 TLS support" >&5
+echo $ECHO_N "checking for i386 TLS support... $ECHO_C" >&6
+if test "${libc_cv_386_tls+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.s <<\EOF
.section ".tdata", "awT", @progbits
@@ -24,24 +27,29 @@ baz: leal bar@TLSLDM(%ebx), %eax
movl %gs:(%ecx), %eax
movl %gs:bar@NTPOFF, %eax
EOF
-if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'; { (eval echo configure:28: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; }; then
+if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
libc_cv_386_tls=yes
else
libc_cv_386_tls=no
fi
rm -f conftest*
fi
-
-echo "$ac_t""$libc_cv_386_tls" 1>&6
+echo "$as_me:$LINENO: result: $libc_cv_386_tls" >&5
+echo "${ECHO_T}$libc_cv_386_tls" >&6
if test $libc_cv_386_tls = yes; then
- cat >> confdefs.h <<\EOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_TLS_SUPPORT 1
-EOF
+_ACEOF
fi
fi
-cat >> confdefs.h <<\EOF
+cat >>confdefs.h <<\_ACEOF
#define PI_STATIC_AND_HIDDEN 1
-EOF
+_ACEOF